<?php
namespace Neuron\Person\Controller\Widget;

use Neuron\Access\Session;

class Education extends \Neuron\Person\Controller {

	public function onDispatch(\Zend\Mvc\MvcEvent $e) {

		$d = parent::onDispatch($e);  //INI HARUS DIPANGGIL!!!!
		$this->layout()->setTemplate('neuron/person/layout/plain');

		return $d;
	}

	protected function getViewPartial($name, $variables = array()) {
		$prefix = 'neuron/person/education';

		$config = $this->getConfig();
		if (isset($config['person'])) {
			$config = $config['person'];
			$prefix = isset($config['viewprefix']) ? $config['viewprefix'] : $prefix;
		}

		$view = new \Zend\View\Model\ViewModel($variables);
		$view->setTemplate($prefix . '/' . strtolower($name)); // path to phtml file under view folder
		return $view;
	}

	public function formAction()
	{
		$this->getSession()->get();
		$post = $this->getPostParams();
		$id = $post['id'];
		$person_id = $post['person_id'];
		$edudata = array();
		$title = "Create Education";

		$storage = \Neuron\Person\Parameter\Storage::factory($this->getDb(), $this->getConfig());
		$cpar = new \Neuron\Person\Parameters($storage);

		$post = $this->getPostParams();
		$arr = $cpar->listparam($post['param_ref_name']);
		$listEduType = array();
		$listEduLevel = array();
		if ($arr) {
			foreach ($arr as $data) {
				$data['value1']	= $this->translate($data['value1']);
				if($data['param_ref_name'] == 'EDUCATION_TYPE'){
					array_push($listEduType, $data);
				}else if($data['param_ref_name'] == 'EDUCATION_LEVEL'){
					array_push($listEduLevel, $data);
				}
			}
		}

		if($id){
			$storage = \Neuron\Person\Education\Storage::factory($this->getDb(), $this->getConfig());
			$cedu = new \Neuron\Person\Education($storage);
			$title = "Edit Education";
			if ($cedu->load($id))  {
				$edudata = $cedu->pull();
			}
		}

		return $this->getViewPartial('crud', get_defined_vars());
	}
    
}